cordova-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mwbro...@apache.org
Subject svn commit: r1509456 [6/21] - in /cordova/site/public/docs: en/1.5.0/ en/1.5.0rc1/ en/1.6.0/ en/1.6.0rc1/ en/1.6.1/ en/1.7.0/ en/1.7.0rc1/ en/1.8.0/ en/1.8.0rc1/ en/1.8.1/ en/1.9.0/ en/1.9.0rc1/ en/2.0.0/ en/2.0.0rc1/ en/2.1.0/ en/2.1.0rc1/ en/2.1.0rc2...
Date Thu, 01 Aug 2013 22:17:47 GMT
Modified: cordova/site/public/docs/en/3.0.0/guide_platforms_android_upgrading.md.html
URL: http://svn.apache.org/viewvc/cordova/site/public/docs/en/3.0.0/guide_platforms_android_upgrading.md.html?rev=1509456&r1=1509455&r2=1509456&view=diff
==============================================================================
--- cordova/site/public/docs/en/3.0.0/guide_platforms_android_upgrading.md.html (original)
+++ cordova/site/public/docs/en/3.0.0/guide_platforms_android_upgrading.md.html Thu Aug  1 22:17:43 2013
@@ -116,7 +116,6 @@
 <li><a href="guide_overview_index.md.html#Overview">Overview</a></li>
 <li><a href="guide_cli_index.md.html#The%20Command-line%20Interface">The Command-line Interface</a></li>
 <li><a href="guide_platforms_index.md.html#Platform%20Guides">Platform Guides</a></li>
-<li><a href="index.md.html#Guides">Guides</a></li>
 <li><a href="config_ref_index.md.html#Configuration%20Reference">Configuration Reference</a></li>
 <li><a href="guide_hybrid_webviews_index.md.html#Embedding%20WebViews">Embedding WebViews</a></li>
 <li><a href="guide_hybrid_plugins_index.md.html#Plugin%20Development%20Guide">Plugin Development Guide</a></li>
@@ -151,8 +150,7 @@
 
 <p>This guide shows how to modify Android projects to upgrade from older versions of Cordova.
 Most of these instructions apply to projects created with an older set
-of command-line tools that precede the <code>cordova</code> CLI utility. See The
-Cordova Command-line Interface for information how to update the
+of command-line tools that precede the <code>cordova</code> CLI utility. See <a href="guide_cli_index.md.html#The%20Command-line%20Interface">The Command-line Interface</a> for information how to update the
 version of the CLI.</p>
 
 <h2>
@@ -160,84 +158,80 @@ version of the CLI.</p>
 </h2>
 
 <ol>
-<li>Create a new Apache Cordova 3.0.0 project using the cordova CLI, as
-described in The Cordova Command-line Interface.</li>
-<li>Add your platforms the the cordova project, for example: <code>cordova
-platform add android</code>.</li>
-<li>Copy the contents of your project's <code>www</code> folder to the <code>www</code> folder
-at the root of the cordova project you just created.</li>
-<li>Copy any native assets from your old project into the appropriate
+<li><p>Create a new Apache Cordova 3.0.0 project using the cordova CLI, as
+described in <a href="guide_cli_index.md.html#The%20Command-line%20Interface">The Command-line Interface</a>.</p></li>
+<li><p>Add your platforms the the cordova project, for example: <code>cordova
+platform add android</code>.</p></li>
+<li><p>Copy the contents of your project's <code>www</code> directory to the <code>www</code> directory
+at the root of the cordova project you just created.</p></li>
+<li><p>Copy any native assets from your old project into the appropriate
 directories under <code>platforms/android</code>: this directory is where your
-native cordova-android project exists.</li>
-<li>Use the cordova CLI tool to install any plugins you need. Note that
+native cordova-android project exists.</p></li>
+<li><p>Use the cordova CLI tool to install any plugins you need. Note that
 the CLI handles all core APIs as plugins, so they may need to be
-added. Only 3.0.0 plugins are compatible with the CLI.</li>
+added. Only 3.0.0 plugins are compatible with the CLI.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_3_0_0_from_2_9_0">Upgrade to 3.0.0 from 2.9.0</a>
 </h2>
 
 <ol>
-<li>Create a new Apache Cordova Android project.</li>
-<li>Copy the contents of your <code>www</code> folder to the new project.</li>
-<li>Copy any native Android assets from your <code>res</code> folder to the new project.</li>
-<li>Copy over any plugins you installed from the <code>src</code> subdirectories into the new project.</li>
-<li>Make sure to upgrade any deprecated <code>&lt;plugin&gt;</code> references from your old <code>config.xml</code> file to the new <code>&lt;feature&gt;</code> specification. </li>
-<li>
-<strong>NOTE:</strong> all core APIs have been removed and must be installed as plugins. Please see the <a href="plugin_ref_plugman.md.html#Using%20Plugman%20to%20Manage%20Plugins">Using Plugman to Manage Plugins</a> Guide for details.</li>
+<li><p>Create a new Apache Cordova Android project.</p></li>
+<li><p>Copy the contents of your <code>www</code> directory to the new project.</p></li>
+<li><p>Copy any native Android assets from your <code>res</code> directory to the new project.</p></li>
+<li><p>Copy over any plugins you installed from the <code>src</code> subdirectories into the new project.</p></li>
+<li><p>Make sure to upgrade any deprecated <code>&lt;plugin&gt;</code> references from your old <code>config.xml</code> file to the new <code>&lt;feature&gt;</code> specification.</p></li>
+<li><p>Update any references to the <code>org.apache.cordova.api</code> package to be <code>org.apache.cordova</code>.</p></li>
+<li><p><strong>NOTE:</strong> all core APIs have been removed and must be installed as plugins. Please see the <a href="plugin_ref_plugman.md.html#Using%20Plugman%20to%20Manage%20Plugins">Using Plugman to Manage Plugins</a> Guide for details.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_2_9_0_from_2_8_0">Upgrade to 2.9.0 from 2.8.0</a>
 </h2>
 
 <ol>
-<li>Run <code>bin/update &lt;project_path&gt;</code>
-</li>
+<li>Run <code>bin/update &lt;project_path&gt;</code>.</li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_2_8_0_from_2_7_0">Upgrade to 2.8.0 from 2.7.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-2.7.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-2.8.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new cordova.js into your project</li>
-<li>Update your HTML to use the new cordova.js file</li>
-<li>Copy the <code>res/xml/config.xml</code> file to match <code>framework/res/xml/config.xml</code>
-</li>
-<li>Update <code>framework/res/xml/config.xml</code> to have similar settings as it did previously</li>
-<li>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory</li>
+<li><p>Remove <code>cordova-2.7.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-2.8.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova.js</code> file.</p></li>
+<li><p>Copy the <code>res/xml/config.xml</code> file to match <code>framework/res/xml/config.xml</code>.</p></li>
+<li><p>Update <code>framework/res/xml/config.xml</code> to have similar settings as it did previously.</p></li>
+<li><p>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_2_7_0_from_2_6_0">Upgrade to 2.7.0 from 2.6.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-2.6.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-2.7.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-2.7.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-2.7.0.js</code> file</li>
-<li>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>
-</li>
-<li>Update <code>framework/res/xml/config.xml</code> to have similar settings as it did previously</li>
-<li>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory</li>
+<li><p>Remove <code>cordova-2.6.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-2.7.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-2.7.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-2.7.0.js</code> file.</p></li>
+<li><p>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>.</p></li>
+<li><p>Update <code>framework/res/xml/config.xml</code> to have similar settings as it did previously.</p></li>
+<li><p>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_2_6_0_from_2_5_0">Upgrade to 2.6.0 from 2.5.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-2.5.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-2.6.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-2.6.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-2.6.0.js</code> file</li>
-<li>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>
-</li>
-<li>Update <code>framework/res/xml/config.xml</code> to have similar settings as it did previously</li>
-<li>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory</li>
+<li><p>Remove <code>cordova-2.5.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-2.6.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-2.6.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-2.6.0.js</code> file.</p></li>
+<li><p>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>.</p></li>
+<li><p>Update <code>framework/res/xml/config.xml</code> to have similar settings as it did previously.</p></li>
+<li><p>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory.</p></li>
 </ol>
 <p>Run <code>bin/update &lt;project&gt;</code> with the project path listed in the Cordova Source directory.</p>
 
@@ -246,272 +240,252 @@ added. Only 3.0.0 plugins are compatible
 </h2>
 
 <ol>
-<li>Remove <code>cordova-2.4.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-2.5.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-2.5.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-2.5.0.js</code> file</li>
-<li>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>
-</li>
-<li>Update <code>framework/res/xml/config.xml</code> to have similar settings as it did previously</li>
-<li>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory</li>
+<li><p>Remove <code>cordova-2.4.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-2.5.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-2.5.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-2.5.0.js</code> file.</p></li>
+<li><p>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>.</p></li>
+<li><p>Update <code>framework/res/xml/config.xml</code> to have similar settings as it did previously.</p></li>
+<li><p>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_2_4_0_from_2_3_0">Upgrade to 2.4.0 from 2.3.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-2.3.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-2.4.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-2.4.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-2.4.0.js</code> file</li>
-<li>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>
-</li>
-<li>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory</li>
+<li><p>Remove <code>cordova-2.3.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-2.4.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-2.4.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-2.4.0.js</code> file.</p></li>
+<li><p>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>.</p></li>
+<li><p>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_2_3_0_from_2_2_0">Upgrade to 2.3.0 from 2.2.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-2.2.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-2.3.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-2.3.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-2.3.0.js</code> file</li>
-<li>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>
-</li>
-<li>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory</li>
+<li><p>Remove <code>cordova-2.2.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-2.3.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-2.3.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-2.3.0.js</code> file.</p></li>
+<li><p>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>.</p></li>
+<li><p>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_2_2_0_from_2_1_0">Upgrade to 2.2.0 from 2.1.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-2.1.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-2.2.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-2.2.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-2.2.0.js</code> file</li>
-<li>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>
-</li>
-<li>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory</li>
+<li><p>Remove <code>cordova-2.1.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-2.2.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-2.2.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-2.2.0.js</code> file.</p></li>
+<li><p>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>.</p></li>
+<li><p>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_2_1_0_from_2_0_0">Upgrade to 2.1.0 from 2.0.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-2.0.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-2.1.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-2.1.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-2.1.0.js</code> file</li>
-<li>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>
-</li>
-<li>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory</li>
+<li><p>Remove <code>cordova-2.0.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-2.1.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-2.1.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-2.1.0.js</code> file.</p></li>
+<li><p>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>.</p></li>
+<li><p>Copy files from <code>bin/templates/cordova</code> to the project's <code>cordova</code> directory.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_2_0_0_from_1_9_0">Upgrade to 2.0.0 from 1.9.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-1.9.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-2.0.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-2.0.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-2.0.0.js</code> file</li>
-<li>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>
-</li>
+<li><p>Remove <code>cordova-1.9.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-2.0.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-2.0.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-2.0.0.js</code> file.</p></li>
+<li><p>Copy the <code>res/xml/config.xml</code> to match <code>framework/res/xml/config.xml</code>.</p></li>
 </ol>
 <h3>Notes about 2.0.0 release</h3>
 
-<p>config.xml will be replacing cordova.xml and plugins.xml.  This new file is a combination of the previous two.  However, the
-old files are deprecated, and while currently still work, will cease working in a future release.</p>
+<p><code>config.xml</code> will be replacing <code>cordova.xml</code> and <code>plugins.xml</code>.  This
+new file is a combination of the previous two.  However, the old files
+are deprecated, and while currently still work, will cease working in
+a future release.</p>
 
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_9_0_from_1_8_1">Upgrade to 1.9.0 from 1.8.1</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-1.8.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-1.9.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-1.9.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-1.9.0.js</code> file</li>
-<li>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
+<li><p>Remove <code>cordova-1.8.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-1.9.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-1.9.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-1.9.0.js</code> file.</p></li>
+<li><p>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
 </ol>
 <h3>Notes about 1.9.0 release</h3>
 
-<ul>
-<li>Third-Party plugins may or may not work.  This is because of the introduction of the CordovaWebView.  These plugins need to get a context from the CordovaInterface using
-getContext() or getActivity().  If you are not an experienced Android developer, please contact the plugin maintainer and add this task to their bug tracker.</li>
-</ul>
+<p>Due to the introduction of the <code>CordovaWebView</code>, third-Party plugins
+may not work.  These plugins need to get a context from the
+<code>CordovaInterface</code> using <code>getContext()</code> or <code>getActivity()</code>.  If you
+are not an experienced Android developer, please contact the plugin
+maintainer and add this task to their bug tracker.</p>
+
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_8_0_from_1_8_0">Upgrade to 1.8.0 from 1.8.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-1.8.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-1.8.1.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-1.8.1.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-1.8.1.js</code> file</li>
-<li>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
+<li><p>Remove <code>cordova-1.8.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-1.8.1.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-1.8.1.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-1.8.1.js</code> file.</p></li>
+<li><p>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_8_0_from_1_7_0">Upgrade to 1.8.0 from 1.7.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-1.7.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-1.8.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-1.8.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-1.8.0.js</code> file</li>
-<li>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
+<li><p>Remove <code>cordova-1.7.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-1.8.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-1.8.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-1.8.0.js</code> file.</p></li>
+<li><p>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_8_0_from_1_7_0">Upgrade to 1.8.0 from 1.7.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-1.7.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-1.8.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-1.8.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-1.8.0.js</code> file</li>
-<li>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
+<li><p>Remove <code>cordova-1.7.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-1.8.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-1.8.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-1.8.0.js</code> file.</p></li>
+<li><p>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_7_0_from_1_6_1">Upgrade to 1.7.0 from 1.6.1</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-1.6.1.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-1.7.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-1.7.0.js</code> into your project</li>
-<li>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
+<li><p>Remove <code>cordova-1.6.1.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-1.7.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-1.7.0.js</code> into your project.</p></li>
+<li><p>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_6_1_from_1_6_0">Upgrade to 1.6.1 from 1.6.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-1.6.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-1.6.1.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-1.6.1.js</code> into your project</li>
-<li>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
+<li><p>Remove <code>cordova-1.6.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-1.6.1.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-1.6.1.js</code> into your project.</p></li>
+<li><p>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_6_0_from_1_5_0">Upgrade to 1.6.0 from 1.5.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>cordova-1.5.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-1.6.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-1.6.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-1.6.0.js</code> file</li>
-<li>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
-<li>Replace <code>res/xml/phonegap.xml</code> with <code>res/xml/cordova.xml</code> to match <code>framework/res/xml/cordova.xml</code>
-</li>
+<li><p>Remove <code>cordova-1.5.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-1.6.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-1.6.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-1.6.0.js</code> file.</p></li>
+<li><p>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
+<li><p>Replace <code>res/xml/phonegap.xml</code> with <code>res/xml/cordova.xml</code> to match <code>framework/res/xml/cordova.xml</code>.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_5_0_from_1_4_0">Upgrade to 1.5.0 from 1.4.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>phonegap-1.4.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>cordova-1.5.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>cordova-1.5.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>cordova-1.5.0.js</code> file</li>
-<li>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
-<li>Replace <code>res/xml/phonegap.xml</code> with <code>res/xml/cordova.xml</code> to match <code>framework/res/xml/cordova.xml</code>
-</li>
+<li><p>Remove <code>phonegap-1.4.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>cordova-1.5.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>cordova-1.5.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>cordova-1.5.0.js</code> file.</p></li>
+<li><p>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
+<li><p>Replace <code>res/xml/phonegap.xml</code> with <code>res/xml/cordova.xml</code> to match <code>framework/res/xml/cordova.xml</code>.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_4_0_from_1_3_0">Upgrade to 1.4.0 from 1.3.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>phonegap-1.3.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>phonegap-1.4.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>phonegap-1.4.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>phonegap-1.4.0.js</code> file</li>
-<li>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
-<li>Update <code>res/xml/phonegap.xml</code> to match <code>framework/res/xml/phonegap.xml</code>
-</li>
+<li><p>Remove <code>phonegap-1.3.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>phonegap-1.4.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>phonegap-1.4.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>phonegap-1.4.0.js</code> file.</p></li>
+<li><p>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
+<li><p>Update <code>res/xml/phonegap.xml</code> to match <code>framework/res/xml/phonegap.xml</code>.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_3_0_from_1_2_0">Upgrade to 1.3.0 from 1.2.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>phonegap-1.2.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>phonegap-1.3.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>phonegap-1.3.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>phonegap-1.2.0.js</code> file</li>
-<li>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
-<li>Update <code>res/xml/phonegap.xml</code> to match <code>framework/res/xml/phonegap.xml</code>
-</li>
+<li><p>Remove <code>phonegap-1.2.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>phonegap-1.3.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>phonegap-1.3.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>phonegap-1.2.0.js</code> file.</p></li>
+<li><p>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
+<li><p>Update <code>res/xml/phonegap.xml</code> to match <code>framework/res/xml/phonegap.xml</code>.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_2_0_from_1_1_0">Upgrade to 1.2.0 from 1.1.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>phonegap-1.1.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>phonegap-1.2.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>phonegap-1.2.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>phonegap-1.2.0.js</code> file</li>
-<li>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
-<li>Update <code>res/xml/phonegap.xml</code> to match <code>framework/res/xml/phonegap.xml</code>
-</li>
+<li><p>Remove <code>phonegap-1.1.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>phonegap-1.2.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>phonegap-1.2.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>phonegap-1.2.0.js</code> file.</p></li>
+<li><p>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
+<li><p>Update <code>res/xml/phonegap.xml</code> to match <code>framework/res/xml/phonegap.xml</code>.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_1_0_from_1_0_0">Upgrade to 1.1.0 from 1.0.0</a>
 </h2>
 
 <ol>
-<li>Remove <code>phonegap-1.0.0.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>phonegap-1.1.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>phonegap-1.1.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>phonegap-1.1.0.js</code> file</li>
-<li>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
+<li><p>Remove <code>phonegap-1.0.0.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>phonegap-1.1.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>phonegap-1.1.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>phonegap-1.1.0.js</code> file.</p></li>
+<li><p>Update <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
 </ol>
 <h2>
 <a name="Upgrading%20Android_upgrade_to_1_0_0_from_0_9_6">Upgrade to 1.0.0 from 0.9.6</a>
 </h2>
 
 <ol>
-<li>Remove <code>phonegap-0.9.6.jar</code> from the project's <code>libs</code> directory</li>
-<li>Add <code>phonegap-1.0.0.jar</code> to the project's <code>libs</code> directory</li>
-<li>If you are using Eclipse, please refresh your eclipse project and do a clean</li>
-<li>Copy the new <code>phonegap-1.0.0.js</code> into your project</li>
-<li>Update your HTML to use the new <code>phonegap-1.0.0.js</code> file</li>
-<li>Add the <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>
-</li>
+<li><p>Remove <code>phonegap-0.9.6.jar</code> from the project's <code>libs</code> directory.</p></li>
+<li><p>Add <code>phonegap-1.0.0.jar</code> to the project's <code>libs</code> directory.</p></li>
+<li><p>If you are using Eclipse, please refresh your eclipse project and do a clean.</p></li>
+<li><p>Copy the new <code>phonegap-1.0.0.js</code> into your project.</p></li>
+<li><p>Update your HTML to use the new <code>phonegap-1.0.0.js</code> file.</p></li>
+<li><p>Add the <code>res/xml/plugins.xml</code> to match <code>framework/res/xml/plugins.xml</code>.</p></li>
 </ol>
 </div>
         </div>

Modified: cordova/site/public/docs/en/3.0.0/guide_platforms_android_webview.md.html
URL: http://svn.apache.org/viewvc/cordova/site/public/docs/en/3.0.0/guide_platforms_android_webview.md.html?rev=1509456&r1=1509455&r2=1509456&view=diff
==============================================================================
--- cordova/site/public/docs/en/3.0.0/guide_platforms_android_webview.md.html (original)
+++ cordova/site/public/docs/en/3.0.0/guide_platforms_android_webview.md.html Thu Aug  1 22:17:43 2013
@@ -93,7 +93,6 @@
 <li><a href="guide_overview_index.md.html#Overview">Overview</a></li>
 <li><a href="guide_cli_index.md.html#The%20Command-line%20Interface">The Command-line Interface</a></li>
 <li><a href="guide_platforms_index.md.html#Platform%20Guides">Platform Guides</a></li>
-<li><a href="index.md.html#Guides">Guides</a></li>
 <li><a href="config_ref_index.md.html#Configuration%20Reference">Configuration Reference</a></li>
 <li><a href="guide_hybrid_webviews_index.md.html#Embedding%20WebViews">Embedding WebViews</a></li>
 <li><a href="guide_hybrid_plugins_index.md.html#Plugin%20Development%20Guide">Plugin Development Guide</a></li>
@@ -143,20 +142,18 @@ but may be eventually be automated.</p>
 <a name="Android%20WebViews_prerequisites">Prerequisites</a>
 </h2>
 
-<ol>
-<li>
-<strong>Cordova 1.9</strong> or greater</li>
-<li>Android SDK updated with 15</li>
-</ol>
+<ul>
+<li><p>Cordova 1.9 or greater</p></li>
+<li><p>Android SDK updated with 15</p></li>
+</ul>
 <h2>
 <a name="Android%20WebViews_guide_to_using_cordovawebview_in_an_android_project">Guide to using CordovaWebView in an Android Project</a>
 </h2>
 
 <ol>
-<li>Use <code>bin/create</code> to fetch the <code>commons-codec-1.6.jar</code> file.</li>
-<li>
-<code>cd</code> into <code>/framework</code> and run <code>ant jar</code> to build the cordova jar. It creates the .jar file formed as <code>cordova-x.x.x.jar</code> in the <code>/framework</code> folder.</li>
-<li>Copy the cordova jar into your Android project's <code>/libs</code> directory.</li>
+<li><p>Use <code>bin/create</code> to fetch the <code>commons-codec-1.6.jar</code> file.</p></li>
+<li><p><code>cd</code> into <code>/framework</code> and run <code>ant jar</code> to build the cordova jar. It creates the .jar file formed as <code>cordova-3.0.0.jar</code> in the <code>/framework</code> directory.</p></li>
+<li><p>Copy the cordova jar into your Android project's <code>/libs</code> directory.</p></li>
 <li>
 <p>Edit your application's <code>main.xml</code> file (under <code>/res/xml</code>) to look like the following, with the <code>layout_height</code>, <code>layout_width</code> and <code>id</code> modified to suit your application:</p>
 
@@ -244,7 +241,7 @@ public ExecutorService getThreadPool() {
 }</p>
 </li>
 <li><p>Copy your application's HTML and JavaScript files to your Android project's <code>/assets/www</code> directory.</p></li>
-<li>Copy <code>cordova.xml</code> and <code>plugins.xml</code> from <code>/framework/res/xml</code> to your project's <code>/res/xml</code> folder.</li>
+<li><p>Copy <code>cordova.xml</code> and <code>plugins.xml</code> from <code>/framework/res/xml</code> to your project's <code>/res/xml</code> directory.</p></li>
 </ol>
 </div>
         </div>

Modified: cordova/site/public/docs/en/3.0.0/guide_platforms_blackberry10_index.md.html
URL: http://svn.apache.org/viewvc/cordova/site/public/docs/en/3.0.0/guide_platforms_blackberry10_index.md.html?rev=1509456&r1=1509455&r2=1509456&view=diff
==============================================================================
--- cordova/site/public/docs/en/3.0.0/guide_platforms_blackberry10_index.md.html (original)
+++ cordova/site/public/docs/en/3.0.0/guide_platforms_blackberry10_index.md.html Thu Aug  1 22:17:43 2013
@@ -17,18 +17,16 @@
     specific language governing permissions and limitations
     under the License.
 --><html lang="en">
-    <head>
-        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-        <meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, user-scalable=no, width=device-width">
-        <meta name="generator" content="joDoc">
-
-        <title>Apache Cordova API Documentation</title>
-
-        <link rel="stylesheet" type="text/css" href="index.css">
-        <link rel="stylesheet" type="text/css" href="mobile.css" media="only screen and (max-device-width: 1024px)">
-        <link rel="stylesheet" type="text/css" href="prettify/prettify.css">
-    </head>
-    <body>
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, user-scalable=no, width=device-width">
+<meta name="generator" content="joDoc">
+<title>Apache Cordova API Documentation</title>
+<link rel="stylesheet" type="text/css" href="index.css">
+<link rel="stylesheet" type="text/css" href="mobile.css" media="only screen and (max-device-width: 1024px)">
+<link rel="stylesheet" type="text/css" href="prettify/prettify.css">
+</head>
+<body>
         <div id="header">
             <h1><a href="index.html">Apache <strong>Cordova</strong> Documentation</a></h1>
             <small>
@@ -79,8 +77,7 @@
 <option value="1.8.1">1.8.1</option>
 <option value="1.7.0">1.7.0</option>
 </optgroup>
-<optgroup label="Korean" value="kr"><option value="2.0.0">2.0.0</option></optgroup></select>
-            </small>
+<optgroup label="Korean" value="kr"><option value="2.0.0">2.0.0</option></optgroup></select></small>
         </div>
         <div id="subheader">
             <h1>BlackBerry 10 Platform Guide</h1>
@@ -103,7 +100,6 @@
 <li><a href="guide_overview_index.md.html#Overview">Overview</a></li>
 <li><a href="guide_cli_index.md.html#The%20Command-line%20Interface">The Command-line Interface</a></li>
 <li><a href="guide_platforms_index.md.html#Platform%20Guides">Platform Guides</a></li>
-<li><a href="index.md.html#Guides">Guides</a></li>
 <li><a href="config_ref_index.md.html#Configuration%20Reference">Configuration Reference</a></li>
 <li><a href="guide_hybrid_webviews_index.md.html#Embedding%20WebViews">Embedding WebViews</a></li>
 <li><a href="guide_hybrid_plugins_index.md.html#Plugin%20Development%20Guide">Plugin Development Guide</a></li>
@@ -136,60 +132,79 @@
             <div id="content">
                 <h1><a name="BlackBerry%2010%20Platform%20Guide">BlackBerry 10 Platform Guide</a></h1>
 
-<p>This guide shows how to set up your development environment to build and deploy Cordova apps for BlackBerry 10 devices.</p>
-
-<p>For previous versions of BlackBerry, you need to use a different set of command-line tools, described in <a href="guide_platforms_blackberry_index.md.html#BlackBerry%20Platform%20Guide">BlackBerry Platform Guide</a>.</p>
-
-<h2><a name="BlackBerry%2010%20Platform%20Guide_requirements">Requirements</a></h2>
+<p>This guide shows how to set up your development environment to build
+and deploy Cordova apps for BlackBerry 10 devices.  For previous
+versions of BlackBerry, you need to use a different set of
+command-line tools, described in <a href="guide_platforms_blackberry_index.md.html#BlackBerry%20Platform%20Guide">BlackBerry Platform Guide</a>.</p>
+
+<h2>
+<a name="BlackBerry%2010%20Platform%20Guide_requirements">Requirements</a>
+</h2>
 
 <p>The development environment is available on Windows, Mac and Linux.</p>
 
-<p>Developers should use the <code>cordova</code> utility in conjunction with the Blackberry Native SDK.  See <a href="guide_cli_index.md.html#The%20Command-line%20Interface">The Command-line Interface</a> for information how to install <code>cordova</code>, add projects, then build and deploy.</p>
-
-<h2><a name="BlackBerry%2010%20Platform%20Guide_install_the_blackberry_native_sdk">Install the BlackBerry Native SDK</a></h2>
-
-<p>The BlackBerry Native SDK is available from <a class="external" href="http://developer.blackberry.com/native/download/">developer.blackberry.com</a>.</p>
-
-<p>After installing the BlackBerry Native SDK, its tools must be added to your system path.</p>
-
-<h3>Windows</h3>
-
-<p>Go to My Computer → Properties → Advanced → Environment <a href="plugin_ref_spec.md.html#Variables">Variables</a></p>
-
-<p>Append to PATH based on where you installed the Native SDK, for example:</p>
-
-<pre class="prettyprint"><code>;C:\bbndk\host_10_1_0_132\darwin\x86\usr\bin\
-</code></pre>
-
-<h3>Mac/Linux</h3>
-
-<p>Edit the ~/.bash_profile file, adding a line such as the following, depending on where the Native SDK was installed:</p>
-
-<pre class="prettyprint"><code>$ export PATH=${PATH}:/Applications/bbndk/host_10_1_0_132/darwin/x86/usr/bin/
-</code></pre>
+<p>Developers should use the <code>cordova</code> utility in conjunction with the
+Blackberry Native SDK.  See <a href="guide_cli_index.md.html#The%20Command-line%20Interface">The Command-line Interface</a> for information
+how to install <code>cordova</code>, add projects, then build and deploy for each
+platform.</p>
+
+<h2>
+<a name="BlackBerry%2010%20Platform%20Guide_install_the_blackberry_native_sdk">Install the BlackBerry Native SDK</a>
+</h2>
+
+<p>The BlackBerry Native SDK is available from
+<a class="external" href="http://developer.blackberry.com/native/download/">developer.blackberry.com</a>.
+Following installation, you need to add its command-line tools to your
+system path.</p>
 
-<p>Then run the following to apply the change immidiately:</p>
+<p>On Windows:</p>
 
-<pre class="prettyprint"><code>$ source ~/.bash_profile
-</code></pre>
+<ul>
+<li><p>Go to <strong>My Computer → Properties → Advanced → Environment <a href="plugin_ref_spec.md.html#Variables">Variables</a></strong>.</p></li>
+<li>
+<p>Append the Native SDK's install directory to the PATH, for example:</p>
 
-<h2><a name="BlackBerry%2010%20Platform%20Guide_set_up_for_signing">Set up for Signing</a></h2>
+<p>;C:\bbndk\host<em>10</em>1<em>0</em>132\darwin\x86\usr\bin\</p>
+</li>
+</ul>
+<p>On Mac and Linux:</p>
 
-<p>If you wish to test on a device or distribute apps through BlackBerry World, your system must be setup for code signing.</p>
+<ul>
+<li>
+<p>Edit the <code>~/.bash_profile</code> file, adding a line such as the
+following, depending on where the Native SDK was installed:</p>
+
+<p>$ export PATH=${PATH}:/Applications/bbndk/host<em>10</em>1<em>0</em>132/darwin/x86/usr/bin/</p>
+</li>
+<li>
+<p>Run the following to apply the change in the current session:</p>
 
-<p>To obtain a signing key, go to the BlackBerry website and make sure to retain the password you specify. Then run the <code>blackberry-signer</code> utility that is included with the BlackBerry Native SDK.</p>
+<p>$ source ~/.bash_profile</p>
+</li>
+</ul>
+<h2>
+<a name="BlackBerry%2010%20Platform%20Guide_set_up_for_signing">Set up for Signing</a>
+</h2>
+
+<p>If you wish to test on a device or distribute apps through BlackBerry
+World, your system must be setup for code signing.</p>
+
+<p>To obtain a signing key, go to the BlackBerry website and make sure to
+retain the password you specify. Then run the <code>blackberry-signer</code>
+utility that is included with the BlackBerry Native SDK.</p>
 
 <p>Detailed instuctions can be found here:</p>
 
 <ul>
-<li><a class="external" href="https://www.blackberry.com/SignedKeys/codesigning.html">Register for your code signing key.</a></li>
-<li><a class="external" href="https://developer.blackberry.com/html5/documentation/signing_setup_bb10_apps_2008396_11.html">Set up your system for code signing.</a></li>
+<li><p><a class="external" href="https://www.blackberry.com/SignedKeys/codesigning.html">Register for your code signing key.</a></p></li>
+<li><p><a class="external" href="https://developer.blackberry.com/html5/documentation/signing_setup_bb10_apps_2008396_11.html">Set up your system for code signing.</a></p></li>
 </ul>
+<h2>
+<a name="BlackBerry%2010%20Platform%20Guide_create_a_project">Create a Project</a>
+</h2>
 
-<h2><a name="BlackBerry%2010%20Platform%20Guide_create_a_project">Create a Project</a></h2>
-
-<p>Use the <code>cordova</code> utility to set up a new project, as described in <a href="guide_cli_index.md.html#The%20Command-line%20Interface">The Command-line Interface</a>. For example, in a source-code
-directory:</p>
+<p>Use the <code>cordova</code> utility to set up a new project, as described in <a href="#The%0ACommand-line%20Interface">The
+Command-line Interface</a>. For example, in a source-code directory:</p>
 
 <pre class="prettyprint"><code>$ cordova create hello com.example.hello
 $ cd hello
@@ -197,113 +212,148 @@ $ cordova platform add blackberry10
 $ cordova build
 </code></pre>
 
-<h2><a name="BlackBerry%2010%20Platform%20Guide_deploy_to_emulator">Deploy to Emulator</a></h2>
+<h2>
+<a name="BlackBerry%2010%20Platform%20Guide_deploy_to_emulator">Deploy to Emulator</a>
+</h2>
 
-<p>If you wish to run a device emulator, download and install the BlackBerry 10 Simulator.</p>
+<p>If you wish to run a device emulator, download and install the
+BlackBerry 10 Simulator.</p>
 
 <ul>
 <li><a class="external" href="http://developer.blackberry.com/native/download/">Download</a></li>
 <li><a class="external" href="http://developer.blackberry.com/devzone/develop/simulator/blackberry_10_simulator_start.html">Getting Started</a></li>
 </ul>
-
-<p>Before testing an app on either an emulator or a device, you need to add a <em>target</em> to your project. Each is identified with a unique name, and associated with an IP address. You need to get the IP address from the emulator before you use it to view apps.</p>
+<p>Before testing an app on either an emulator or a device, you need to
+add a <em>target</em> to your project. Each is identified with a unique name,
+and associated with an IP address. You need to get the IP address from
+the emulator before you use it to view apps.</p>
 
 <p>Launch the emulator image, then choose <strong>Settings</strong> from the home screen:</p>
 
 <p><img src="img/guide/platforms/blackberry10/bb_home.png" alt="" title=""></p>
 
-<p>Navigate to the <strong>Security and Privacy → Development Mode</strong> section, enable the option, and obtain the IP address:</p>
+<p>Navigate to the <strong>Security and Privacy → Development Mode</strong>
+section, enable the option, and obtain the IP address:</p>
 
 <p><img src="img/guide/platforms/blackberry10/bb_devel.png" alt="" title=""></p>
 
-<p>An additional set of command-line utilities are included when you set up the BlackBerry 10 platform for your project.  The following command, in this case invoked from the project top-level directory, associates a target named <em>emu</em> with the IP address displayed above.</p>
+<p>An additional set of command-line utilities are included when you set
+up the BlackBerry 10 platform for your project.  The following
+command, in this case invoked from the project top-level directory,
+associates a target named <em>emu</em> with the IP address displayed above.</p>
 
-<p>Windows</p>
-
-<pre class="prettyprint"><code>$ platforms\blackberry10\cordova\target.bat add emu 169.254.0.1 -t simulator
-</code></pre>
+<ul>
+<li>
+<p>On Windows:</p>
 
-<p>Mac/Linux</p>
-
-<pre class="prettyprint"><code>$ platforms/blackberry10/cordova/target add emu 169.254.0.1 -t simulator
-</code></pre>
+<p>$ platforms\blackberry10\cordova\target.bat add emu 169.254.0.1 -t simulator</p>
+</li>
+<li>
+<p>On Mac/Linux:</p>
 
+<p>$ platforms/blackberry10/cordova/target add emu 169.254.0.1 -t simulator</p>
+</li>
+</ul>
 <p>Then, run the <code>emulate</code> command to view the app:</p>
 
 <pre class="prettyprint"><code>$ cordova emulate blackberry10
 </code></pre>
 
-<h2><a name="BlackBerry%2010%20Platform%20Guide_deploy_to_device">Deploy to Device
-</a></h2>
-
-<p>To deploy to a device, make sure it is plugged into your computer. Enable development mode and obtain the IP address as desribed in the emulator section above. You will also need to obtain the PIN from the the <strong>Settings</strong> application under <strong>About → Hardware</strong>.</p>
+<h2>
+<a name="BlackBerry%2010%20Platform%20Guide_deploy_to_device">Deploy to Device
+</a>
+</h2>
+
+<p>To deploy to a device, make sure it is plugged into your computer.
+Enable development mode and obtain the IP address as desribed in the
+emulator section above. You will also need to obtain the PIN from the
+the <strong>Settings</strong> application under <strong>About → Hardware</strong>:</p>
 
 <p><img src="img/guide/platforms/blackberry10/bb_pin.png" alt="" title=""></p>
 
-<p>Run the target command-line utility to associate a name with an IP address, device password and PIN.</p>
+<p>Run the target command-line utility to associate a name with an IP
+address, device password and PIN.</p>
 
-<p>Windows</p>
-
-<pre class="prettyprint"><code>$ platforms\blackberry10\cordova\target.bat add mydevice 169.254.0.1 -t device --password 123456 --pin FFFF972E
-</code></pre>
-
-<p>Mac/Linux</p>
-
-<pre class="prettyprint"><code>$ platforms/blackberry10/cordova/target add mydevice 169.254.0.1 -t device --password 123456 --pin FFFF972E
-</code></pre>
+<ul>
+<li>
+<p>On Windows:</p>
 
-<p>--password refers to the password to unlock the device</p>
+<p>$ platforms\blackberry10\cordova\target.bat add mydevice 169.254.0.1 -t device --password 123456 --pin FFFF972E</p>
+</li>
+<li>
+<p>On Mac/Linux:</p>
 
-<p>--pin refers to the device PIN obtained from the Settings application</p>
+<p>$ platforms/blackberry10/cordova/target add mydevice 169.254.0.1 -t device --password 123456 --pin FFFF972E</p>
+</li>
+</ul>
+<p>where:</p>
 
+<ul>
+<li><p><code>--password</code> refers to the password to unlock the device.</p></li>
+<li><p><code>--pin</code> refers to the device PIN obtained from the <strong>Settings</strong> application.</p></li>
+</ul>
 <p>Then, run the <code>run</code> command to view the app:</p>
 
 <pre class="prettyprint"><code>$ cordova run blackberry10
 </code></pre>
 
-<p>If a debug token has not yet been created for this device, an error message will prompt you to use the platform run script with the password you provided when registering for signing keys.</p>
+<p>If a debug token is not yet set up for the device, an error message
+prompts you to use the platform run script with the password you
+provided when registering for signing keys.</p>
 
-<p>Windows</p>
-
-<pre class="prettyprint"><code>$ platforms\blackberry10\cordova\run.bat --device --keystorepass mysecret
-</code></pre>
-
-<p>Mac/Linux</p>
-
-<pre class="prettyprint"><code>$ platforms/blackberry10/cordova/run --device --keystorepass mysecret
-</code></pre>
-
-<h2><a name="BlackBerry%2010%20Platform%20Guide_debugging_with_webinspector">Debugging with WebInspector</a></h2>
-
-<p>When debugging on the device or a simulator, you may run WebInspector remotely to view the application's internal state.</p>
-
-<p>A prompt displays the URL that allows you to connect to your app with a standard web browser.</p>
-
-<p>For more information, see <a class="external" href="http://developer.blackberry.com/html5/documentation/web_inspector_overview_1553586_11.html">Debugging using WebInspector</a>.</p>
-
-<h2><a name="BlackBerry%2010%20Platform%20Guide_building_a_release_version">Building a Release Version</a></h2>
-
-<p>By default, running the <code>cordova build</code> command creates an unsigned <em>.bar</em> package file suitable for testing on a device or simulator.</p>
-
-<p>You need to run a different <code>build</code> command to create a release version suitable for distribution through BlackBerry World.  This command uses the following syntax:</p>
+<ul>
+<li>
+<p>On Windows:</p>
 
-<p>Windows</p>
+<p>$ platforms\blackberry10\cordova\run.bat --device --keystorepass mysecret</p>
+</li>
+<li>
+<p>On Mac/Linux:</p>
 
-<pre class="prettyprint"><code>$ platforms\blackberry10\cordova\build.bat --release --keystorepass mysecret
-</code></pre>
+<p>$ platforms/blackberry10/cordova/run --device --keystorepass mysecret</p>
+</li>
+</ul>
+<h2>
+<a name="BlackBerry%2010%20Platform%20Guide_debugging_with_webinspector">Debugging with WebInspector</a>
+</h2>
+
+<p>When debugging on the device or an emulator, you may run WebInspector
+remotely to view the application's internal state.  A prompt displays
+the URL that allows you to connect to your app with a standard web
+browser.  For more information, see
+<a class="external" href="http://developer.blackberry.com/html5/documentation/web_inspector_overview_1553586_11.html">Debugging using WebInspector</a>.</p>
+
+<h2>
+<a name="BlackBerry%2010%20Platform%20Guide_building_a_release_version">Building a Release Version</a>
+</h2>
+
+<p>By default, running the <code>cordova build</code> command creates an unsigned
+<em>.bar</em> package file suitable for testing on a device or simulator.</p>
+
+<p>You need to run a different <code>build</code> command to create a release
+version suitable for distribution through BlackBerry World.  It does
+not rely on the <code>cordova</code> CLI tool, and instead uses the following
+syntax:</p>
 
-<p>Mac/Linux</p>
+<ul>
+<li>
+<p>On Windows:</p>
 
-<pre class="prettyprint"><code>$ platforms/blackberry10/cordova/build --release --keystorepass mysecret
-</code></pre>
+<p>$ platforms\blackberry10\cordova\build.bat --release --keystorepass mysecret</p>
+</li>
+<li>
+<p>On Mac/Linux:</p>
 
-<p>--keystorepass specifies the password you defined when you configured your computer to sign applications.</p>
+<p>$ platforms/blackberry10/cordova/build --release --keystorepass mysecret</p>
+</li>
+</ul>
+<p>The <code>--keystorepass</code> option specifies the password you defined when
+configuring your computer to sign applications.</p>
 
             </div>
         </div>
 
         <!-- Functionality and Syntax Highlighting -->
-        <script type="text/javascript" src="index.js"></script>
-        <script type="text/javascript" src="prettify/prettify.js"></script>
-    </body>
+        <script type="text/javascript" src="index.js"></script><script type="text/javascript" src="prettify/prettify.js"></script>
+</body>
 </html>

Modified: cordova/site/public/docs/en/3.0.0/guide_platforms_blackberry10_plugin.md.html
URL: http://svn.apache.org/viewvc/cordova/site/public/docs/en/3.0.0/guide_platforms_blackberry10_plugin.md.html?rev=1509456&r1=1509455&r2=1509456&view=diff
==============================================================================
--- cordova/site/public/docs/en/3.0.0/guide_platforms_blackberry10_plugin.md.html (original)
+++ cordova/site/public/docs/en/3.0.0/guide_platforms_blackberry10_plugin.md.html Thu Aug  1 22:17:43 2013
@@ -95,7 +95,6 @@
 <li><a href="guide_overview_index.md.html#Overview">Overview</a></li>
 <li><a href="guide_cli_index.md.html#The%20Command-line%20Interface">The Command-line Interface</a></li>
 <li><a href="guide_platforms_index.md.html#Platform%20Guides">Platform Guides</a></li>
-<li><a href="index.md.html#Guides">Guides</a></li>
 <li><a href="config_ref_index.md.html#Configuration%20Reference">Configuration Reference</a></li>
 <li><a href="guide_hybrid_webviews_index.md.html#Embedding%20WebViews">Embedding WebViews</a></li>
 <li><a href="guide_hybrid_plugins_index.md.html#Plugin%20Development%20Guide">Plugin Development Guide</a></li>
@@ -137,7 +136,7 @@
     };
 </code></pre>
 
-<p>A native BlackBerry 10 plugin for Cordova contains JavaScript code and may also contain native code. The Echo plugin example demonstrates how to invoke native functionality from JavaScript. The native and JavaScript code communicate with each other through a framework provided by JNEXT. Every plugin must also include a plugin.xml file.</p>
+<p>A native BlackBerry 10 plugin for Cordova contains JavaScript code and may also contain native code. The Echo plugin example demonstrates how to invoke native functionality from JavaScript. The native and JavaScript code communicate with each other through a framework provided by JNEXT. Every plugin must also include a <code>plugin.xml</code> file.</p>
 
 <h2>
 <a name="BlackBerry%2010%20Plugins_creating_the_native_part_of_your_plugin">Creating the native part of your plugin</a>
@@ -148,12 +147,10 @@
 <p>The project created by the IDE contains sample code for a memory plugin. You may replace or modify these files to include your own functionality.</p>
 
 <ul>
-<li>
-<strong><em>name</em>_js.hpp</strong>: C++ header for the JNEXT code.</li>
-<li>
-<strong><em>name</em>_js.cpp</strong>: C++ code for JNEXT.</li>
+<li><p><code>*name*_js.hpp</code>: C++ header for the JNEXT code.</p></li>
+<li><p><code>*name*_js.cpp</code>: C++ code for JNEXT.</p></li>
 </ul>
-<p>The native interface for the JNEXT extension can be viewed in the plugin header file located in the public folder of your project. It also contains constants and utility functions that can be used in your native code. Your plugin must be derived from JSExt which is defined in plugin.h. That is, you must implement the following class:</p>
+<p>The native interface for the JNEXT extension can be viewed in the plugin header file located in the public directory of your project. It also contains constants and utility functions that can be used in your native code. Your plugin must be derived from JSExt which is defined in plugin.h. That is, you must implement the following class:</p>
 
 <pre class="prettyprint"><code>class JSExt
 {
@@ -212,8 +209,8 @@ Now we implement these functions in echo
 <p>Your native plugin must also implement the following callback functions:</p>
 
 <ul>
-<li><code>extern char* onGetObjList( void );</code></li>
-<li><code>extern JSExt* onCreateObject( const string&amp; strClassName, const string&amp; strObjId );</code></li>
+<li><p><code>extern char* onGetObjList( void );</code></p></li>
+<li><p><code>extern JSExt* onCreateObject( const string&amp; strClassName, const string&amp; strObjId );</code></p></li>
 </ul>
 <p>The <code>onGetObjList</code> function returns a comma separated list of classes supported by JNEXT. JNEXT uses this function to determine the set of classes that JNEXT can instantiate. In our Echo plugin, we have the following in <code>echo_js.cpp</code>:</p>
 
@@ -240,10 +237,10 @@ Now we implement these functions in echo
 <p>The JavaScript portion of your plugin must contain the following files:</p>
 
 <ul>
-<li><p><strong>client.js</strong>: This is considered the client side and contains the API that a Cordova application can call. The API in client.js calls makes calls to index.js. The API in client.js also connects callback functions to the events that fire the callbacks.</p></li>
-<li><p><strong>index.js</strong>: Cordova loads index.js and makes it accessible through the cordova.exec bridge. The client.js file makes calls to the API in the index.js file, which in turn makes call to JNEXT to communicate with the native side.</p></li>
+<li><p><code>client.js</code>: This is considered the client side and contains the API that a Cordova application can call. The API in <code>client.js</code> calls makes calls to <code>index.js</code>. The API in <code>client.js</code> also connects callback functions to the events that fire the callbacks.</p></li>
+<li><p><code>index.js</code>: Cordova loads <code>index.js</code> and makes it accessible through the cordova.exec bridge. The <code>client.js</code> file makes calls to the API in the <code>index.js</code> file, which in turn makes call to JNEXT to communicate with the native side.</p></li>
 </ul>
-<p>The client and server side (client.js and index.js) interacts through the <code>Cordova.exec</code>function. So, in client.js you invoke the exec function and provide the necessary arguments. In the Echo plugin, we have the following in the client.js file:</p>
+<p>The client and server side (<code>client.js</code> and <code>index.js</code>) interacts through the <code>Cordova.exec</code>function. So, in <code>client.js</code> you invoke the <code>exec</code> function and provide the necessary arguments. In the Echo plugin, we have the following in the <code>client.js</code> file:</p>
 
 <pre class="prettyprint"><code>var service = "org.apache.cordova.blackberry.echo",
     exec = cordova.require("cordova/exec");
@@ -255,7 +252,7 @@ module.exports = {
 };
 </code></pre>
 
-<p>Now, index.js interacts with the native side using JNEXT. So you attach a constructor function named Echo to JNEXT. Within the constructor you perform the following key operations using the init function:</p>
+<p>Now, <code>index.js</code> interacts with the native side using JNEXT. So you attach a constructor function named Echo to JNEXT. Within the constructor you perform the following key operations using the init function:</p>
 
 <ul>
 <li>Specify the required module exported by the native side. The name of the required module must match the name of a shared library file (.so file).</li>
@@ -265,7 +262,7 @@ module.exports = {
 <ul>
 <li>Create an object by using an acquired module and save the ID that's returned by the call.
 self.m_id = JNEXT.createObject("libecho.Echo");
-When your application calls the echo function in client.js, that call in turn calls the echo function in index.js, where the PluginResult object sends a response (data) back to client.js. Since the args argument passed into the functions was converted by JSON.stringfy() and encoded as a URIcomponent, you must call the following:</li>
+When your application calls the echo function in <code>client.js</code>, that call in turn calls the echo function in <code>index.js</code>, where the PluginResult object sends a response (data) back to <code>client.js</code>. Since the args argument passed into the functions was converted by JSON.stringfy() and encoded as a URIcomponent, you must call the following:</li>
 </ul>
 <p><code>data = JSON.parse(decodeURIComponent(args.data));</code></p>
 
@@ -287,9 +284,13 @@ When your application calls the echo fun
 <a name="BlackBerry%2010%20Plugins_architecture_of_the_plugin">Architecture of the plugin</a>
 </h2>
 
-<p>You can place the artifacts of the plugin, which includes the plugin.xml file, the source files (JavaScript, C++), and the binary files (.so) within any directory structure, as long as you correctly specify the file locations in the plugin.xml file. Below we <a href="cordova_inappbrowser_inappbrowser.md.html#show">show</a> a typical structure that you can follow:</p>
+<p>You can place the artifacts of the plugin, which includes the
+<code>plugin.xml</code> file, the source files (JavaScript, C++), and the binary
+files (<code>.so</code>) within any directory structure, as long as you correctly
+specify the file locations in the <code>plugin.xml</code> file. A typical structure
+looks like this:</p>
 
-<p><strong><em>your_project_folder</em></strong> (&gt;plugin.xml)</p>
+<p><strong><em>your_project_directory</em></strong> (&gt;plugin.xml)</p>
 
 <ul>
 <li>
@@ -300,19 +301,24 @@ When your application calls the echo fun
 <li>
 <strong>blackberry10</strong> (&gt;index.js, <strong>native</strong> &gt;*.cpp, *.hpp)</li>
 <li>
-<strong>device</strong> (&gt;<em>biary file</em> *.so)</li>
+<strong>device</strong> (&gt;<em>binary file</em> *.so)</li>
 <li>
 <strong>simulator</strong> (&gt;<em>binary file</em> *.so)</li>
 </ul>
 </li>
 </ul>
-<p>(The list shows the hierarchical relationship among the top level folders. The parenthesis shows the contents of a given folder. All folder names appear in bold text. <a href="cordova_file_file.md.html#File">File</a> names are preceded by the '&gt;' sign.)</p>
+<p>(The list shows the hierarchical relationship among the top-level
+folders. The parenthesis shows the contents of a given directory. All
+directory names appear in bold text. <a href="cordova_file_file.md.html#File">File</a> names are preceded by the <code>&gt;</code>
+sign.)</p>
 
 <h2>
 <a name="BlackBerry%2010%20Plugins_contents_of_the_plugin_xml_file">Contents of the plugin.xml file</a>
 </h2>
 
-<p>The plugin.xml file contains the namespace of the extension and other metadata. Define the namespace and specify other metadata for the Echo plugin as follows:</p>
+<p>The <code>plugin.xml</code> file contains the namespace of the extension and other
+metadata. Define the namespace and specify other metadata for the Echo
+plugin as follows:</p>
 
 <pre class="prettyprint"><code>&lt;plugin xmlns="http://www.phonegap.com/ns/plugins/1.0"
     id="org.apache.cordova.blackberry.echo"

Modified: cordova/site/public/docs/en/3.0.0/guide_platforms_blackberry10_tools.md.html
URL: http://svn.apache.org/viewvc/cordova/site/public/docs/en/3.0.0/guide_platforms_blackberry10_tools.md.html?rev=1509456&r1=1509455&r2=1509456&view=diff
==============================================================================
--- cordova/site/public/docs/en/3.0.0/guide_platforms_blackberry10_tools.md.html (original)
+++ cordova/site/public/docs/en/3.0.0/guide_platforms_blackberry10_tools.md.html Thu Aug  1 22:17:43 2013
@@ -96,7 +96,6 @@
 <li><a href="guide_overview_index.md.html#Overview">Overview</a></li>
 <li><a href="guide_cli_index.md.html#The%20Command-line%20Interface">The Command-line Interface</a></li>
 <li><a href="guide_platforms_index.md.html#Platform%20Guides">Platform Guides</a></li>
-<li><a href="index.md.html#Guides">Guides</a></li>
 <li><a href="config_ref_index.md.html#Configuration%20Reference">Configuration Reference</a></li>
 <li><a href="guide_hybrid_webviews_index.md.html#Embedding%20WebViews">Embedding WebViews</a></li>
 <li><a href="guide_hybrid_plugins_index.md.html#Plugin%20Development%20Guide">Plugin Development Guide</a></li>
@@ -149,18 +148,32 @@ arguments.</p>
 <a name="BlackBerry%2010%20Command-line%20Tools_create">create</a>
 </h2>
 
-<p>The 'create' command creates a new project:</p>
+<p>The <code>create</code> command creates a new project:</p>
 
-<pre class="prettyprint"><code>bin/create &lt;path-to-project&gt;
+<pre class="prettyprint"><code>bin/create &lt;path-to-project&gt; &lt;project-package&gt; &lt;project-name&gt;
 </code></pre>
 
+<p>where</p>
+
+<ul>
+<li><p><code>&lt;path-to-project&gt;</code> specifies the directory you want the project created in</p></li>
+<li><p><code>&lt;project-package&gt;</code> specifies a reverse domain style identifier</p></li>
+<li><p><code>&lt;project-name&gt;</code> specifies the apps display name</p></li>
+</ul>
+<p><strong>NOTE:</strong> the <code>create</code> command bootstraps dependency installation
+through the <code>npm install</code> command. Depending on the installation
+directory and system permissions, this may require administrator
+privileges.  If there's problem on OSX/Linux, run <code>sudo npm install</code>
+before using the <code>create</code> command. On Windows, run <code>npm install</code> in a
+command-line utility opened with administrator privileges.</p>
+
 <h2>
 <a name="BlackBerry%2010%20Command-line%20Tools_target">target</a>
 </h2>
 
-<p>The <code>target</code> command allows you to manage the BlackBerry device(s) or
-emulator that you will use to test your app. You can add or remove a
-target, or set a target as the default target.</p>
+<p>The <code>target</code> command allows you to manage the emulator or BlackBerry
+devices that you use to test your app. You can add or remove a target,
+or set a target as the default target.</p>
 
 <h3>Add a target</h3>
 
@@ -207,12 +220,9 @@ in debug mode (which produces an unsigne
 <p>where</p>
 
 <ul>
-<li>
-<code>-k | --keystorepass &lt;password&gt;</code>  specifies the password you defined when you configured your computer to sign applications.</li>
-<li>
-<code>-b | --buildId &lt;number&gt;</code>  specifies the build version number of your application. Typically, this number should be incremented from the previous signed version. This argument is optional.</li>
-<li>
-<code>-p | --params &lt;params-JSON-file&gt;</code>  specifies a JSON file containing additional parameters to pass to downstream tools. This argument is optional.</li>
+<li><p><code>-k | --keystorepass &lt;password&gt;</code>  specifies the password you defined when you configured your computer to sign applications.</p></li>
+<li><p><code>-b | --buildId &lt;number&gt;</code>  specifies the build version number of your application. Typically, this number should be incremented from the previous signed version. This argument is optional.</p></li>
+<li><p><code>-p | --params &lt;params-JSON-file&gt;</code>  specifies a JSON file containing additional parameters to pass to downstream tools. This argument is optional.</p></li>
 </ul>
 <h3>Build your project in debug mode</h3>
 



Mime
View raw message